Browse Source

initial commit

Mike 2 years ago
commit
c83681f433
44 changed files with 1594 additions and 0 deletions
  1. 98 0
      app-emulation/playonlinux/ChangeLog
  2. 32 0
      app-emulation/playonlinux/ChangeLog-2015
  3. 10 0
      app-emulation/playonlinux/Manifest
  4. 17 0
      app-emulation/playonlinux/files/playonlinux-4.2.4-binary-plugin.patch
  5. 35 0
      app-emulation/playonlinux/files/playonlinux-4.2.4-pol-bash.patch
  6. 17 0
      app-emulation/playonlinux/files/playonlinux-4.2.6-stop-update-warning.patch
  7. 33 0
      app-emulation/playonlinux/files/playonlinux-pkg.1
  8. 33 0
      app-emulation/playonlinux/files/playonlinux.1
  9. 15 0
      app-emulation/playonlinux/metadata.xml
  10. 116 0
      app-emulation/playonlinux/playonlinux-4.2.10.ebuild
  11. 10 0
      app-misc/zygrib/Manifest
  12. 2 0
      app-misc/zygrib/files/zygrib
  13. 11 0
      app-misc/zygrib/files/zygrib.desktop
  14. 10 0
      app-misc/zygrib/metadata.xml
  15. 58 0
      app-misc/zygrib/zygrib-8.0.1.ebuild
  16. 3 0
      dev-util/coverity/Manifest
  17. 92 0
      dev-util/coverity/coverity-8.5.0.5.ebuild
  18. 8 0
      dev-util/coverity/metadata.xml
  19. 8 0
      metadata/layout.conf
  20. 4 0
      net-libs/pjsip/Manifest
  21. 11 0
      net-libs/pjsip/files/pjsip-ring-intptr_t.patch
  22. 3 0
      net-libs/pjsip/files/user.mak
  23. 124 0
      net-libs/pjsip/pjsip-2.4.ebuild
  24. 2 0
      net-libs/restbed/Manifest
  25. 73 0
      net-libs/restbed/restbed-4.0.ebuild
  26. 156 0
      net-nds/389-admin/389-admin-1.1.31-r1.ebuild
  27. 94 0
      net-nds/389-admin/ChangeLog
  28. 84 0
      net-nds/389-admin/ChangeLog-2015
  29. 17 0
      net-nds/389-admin/Manifest
  30. 18 0
      net-nds/389-admin/files/1.1.11_rc1/0001-gentoo-apache-names.patch
  31. 11 0
      net-nds/389-admin/files/1.1.11_rc1/0003-find-mod_nss.m4.patch
  32. 19 0
      net-nds/389-admin/files/1.1.11_rc1/0004-rpath-fix.configure.ac.patch
  33. 11 0
      net-nds/389-admin/files/1.1.11_rc1/0010-gentoo_selinux_makefile.patch
  34. 3 0
      net-nds/389-admin/files/1.1.11_rc1/48_mod_admserv.conf
  35. 5 0
      net-nds/389-admin/files/1.1.11_rc1/48_mod_restartd.conf
  36. 56 0
      net-nds/389-admin/files/389-admin-cfgstuff-1.patch
  37. 73 0
      net-nds/389-admin/files/389-admin.confd
  38. 162 0
      net-nds/389-admin/files/389-admin.initd
  39. 7 0
      net-nds/389-admin/files/restart-ds-admin
  40. 7 0
      net-nds/389-admin/files/start-ds-admin
  41. 7 0
      net-nds/389-admin/files/stop-ds-admin
  42. 10 0
      net-nds/389-admin/metadata.xml
  43. 1 0
      net-voip/ring-daemon/Manifest
  44. 28 0
      net-voip/ring-daemon/ring-daemon-9999.ebuild

+ 98 - 0
app-emulation/playonlinux/ChangeLog

@@ -0,0 +1,98 @@
+# ChangeLog for app-emulation/playonlinux
+# Copyright 1999-2016 Gentoo Foundation; Distributed under the GPL v2
+# (auto-generated from git log)
+
+*playonlinux-4.2.8 (09 Aug 2015)
+*playonlinux-4.2.6 (09 Aug 2015)
+*playonlinux-4.2.4 (09 Aug 2015)
+
+  09 Aug 2015; Robin H. Johnson <robbat2@gentoo.org>
+  +files/playonlinux-4.2.4-binary-plugin.patch,
+  +files/playonlinux-4.2.4-pol-bash.patch,
+  +files/playonlinux-4.2.6-stop-update-warning.patch,
+  +files/playonlinux-pkg.1, +files/playonlinux.1, +metadata.xml,
+  +playonlinux-4.2.4.ebuild, +playonlinux-4.2.6.ebuild,
+  +playonlinux-4.2.8.ebuild:
+  proj/gentoo: Initial commit
+
+  This commit represents a new era for Gentoo:
+  Storing the gentoo-x86 tree in Git, as converted from CVS.
+
+  This commit is the start of the NEW history.
+  Any historical data is intended to be grafted onto this point.
+
+  Creation process:
+  1. Take final CVS checkout snapshot
+  2. Remove ALL ChangeLog* files
+  3. Transform all Manifests to thin
+  4. Remove empty Manifests
+  5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$
+  5.1. Do not touch files with -kb/-ko keyword flags.
+
+  Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
+  X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration
+  tests
+  X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this
+  project
+  X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo
+  developer, wrote Git features for the migration
+  X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve
+  cvs2svn
+  X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts
+  X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014
+  work in migration
+  X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging
+  X-Thanks: All of other Gentoo developers - many ideas and lots of paint on
+  the bikeshed
+
+  24 Aug 2015; Justin Lecher <jlec@gentoo.org> metadata.xml:
+  Use https by default
+
+  Convert all URLs for sites supporting encrypted connections from http to
+  https
+
+  Signed-off-by: Justin Lecher <jlec@gentoo.org>
+
+  24 Aug 2015; Mike Gilbert <floppym@gentoo.org> metadata.xml:
+  Revert DOCTYPE SYSTEM https changes in metadata.xml
+
+  repoman does not yet accept the https version.
+  This partially reverts eaaface92ee81f30a6ac66fe7acbcc42c00dc450.
+
+  Bug: https://bugs.gentoo.org/552720
+
+  24 Jan 2016; Michał Górny <mgorny@gentoo.org> metadata.xml:
+  Unify quoting in metadata.xml files for machine processing
+
+  Force unified quoting in all metadata.xml files since lxml does not
+  preserve original use of single and double quotes. Ensuring unified
+  quoting before the process allows distinguishing the GLEP 67-related
+  metadata.xml changes from unrelated quoting changes.
+
+  24 Jan 2016; Michał Górny <mgorny@gentoo.org> metadata.xml:
+  Replace all herds with appropriate projects (GLEP 67)
+
+  Replace all uses of herd with appropriate project maintainers, or no
+  maintainers in case of herds requested to be disbanded.
+
+  24 Jan 2016; Michał Górny <mgorny@gentoo.org> metadata.xml:
+  Set appropriate maintainer types in metadata.xml (GLEP 67)
+
+*playonlinux-4.2.10 (05 Jul 2016)
+
+  05 Jul 2016; Austin English <wizardedit@gentoo.org>
+  files/playonlinux-4.2.6-stop-update-warning.patch,
+  +playonlinux-4.2.10.ebuild:
+  remove deprecated games eclass, version bump
+
+  Also update to EAPI 6
+
+  Gentoo-Bug: https://bugs.gentoo.org/574082
+
+  Package-Manager: portage-2.2.28
+
+  25 Jul 2016; NP-Hardass <NP-Hardass@gentoo.org> metadata.xml:
+  Fix maintainer in metadata
+
+  Package-Manager: portage-2.2.28
+

+ 32 - 0
app-emulation/playonlinux/ChangeLog-2015

@@ -0,0 +1,32 @@
+# ChangeLog for app-emulation/playonlinux
+# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/playonlinux/ChangeLog,v 1.23 2015/06/19 18:30:59 np-hardass Exp $
+
+*playonlinux-4.2.8 (19 Jun 2015)
+
+  19 Jun 2015; NP-Hardass <NP-Hardass@gentoo.org> +playonlinux-4.2.8.ebuild,
+  -playonlinux-4.1.9.ebuild, metadata.xml:
+  Version bump to 4.2.8, drop 4.1.9
+
+*playonlinux-4.2.6 (10 Mar 2015)
+
+  10 Mar 2015; Ian Delaney <idella4@gentoo.org>
+  +files/playonlinux-4.2.6-stop-update-warning.patch, +playonlinux-4.2.6.ebuild,
+  -files/playonlinux-4.1.1-not-exclude-ipv6.patch, -playonlinux-4.1.1-r1.ebuild,
+  -playonlinux-4.1.1.ebuild, metadata.xml:
+  bump, fix nagging update notification, ack to Adam Mills for new patch, ack to
+  Kent Fredric wrt bug #522356, fixes Bugs 480550 & 524522. proxy maintainership
+  change to NP-Hardass with consent of prior maintainer wrt bug #542630
+
+*playonlinux-4.2.4 (05 Aug 2014)
+
+  05 Aug 2014; Jason A. Donenfeld <zx2c4@gentoo.org>
+  +files/playonlinux-4.2.4-binary-plugin.patch,
+  +files/playonlinux-4.2.4-pol-bash.patch, +files/playonlinux-pkg.1,
+  +files/playonlinux.1, +playonlinux-4.2.4.ebuild:
+  Version bump.
+
+*playonlinux-4.1.9 (14 Feb 2013)
+
+  14 Feb 2013; Michael Weber <xmw@gentoo.org> +playonlinux-4.1.9.ebuild:
+  Version bump (bug 424207)

+ 10 - 0
app-emulation/playonlinux/Manifest

@@ -0,0 +1,10 @@
+AUX playonlinux-4.2.4-binary-plugin.patch 556 SHA256 dec6a4d47ca1e54a7ce8ca372a3e30aca34910440ee6ee1126c3ec9dd0d50063 SHA512 fbba7ce997f29354498b0e8a2438b0e875f775bd36993dead7dab50db79dd08f9b2dfc6f6948895473f8e3a6a0a19d6976131ae7a2d9f5da8acbbc1512c4c99b WHIRLPOOL bca096b739950ec049714a06daa6364545f264efc61358d6e5991faea838c4e647518997701d2ead014b1af39445a04eede9f1d6b05fcfda4699baaa552f70f4
+AUX playonlinux-4.2.4-pol-bash.patch 1089 SHA256 80e4d5245ba70e207832e662879c6844e7dea4583a3913a032a96b52ddef039c SHA512 d7ac172a63a42cbcbfbd8a60566b9b55fb1e853759a7b388627d14a2dab61ff36a1c6252d5178426daada6758ad50d102546f085b24c754c9f595d91b7d5e614 WHIRLPOOL 47e197effaf091c1a3a1f1649213ef161654afc24f4dd31f5e47a14bdf05e9cddb5356b2ebf6a1fb7ca5f3242937a0ae7cde7bd87cd7bef14067dba86e158d45
+AUX playonlinux-4.2.6-stop-update-warning.patch 766 SHA256 f6a93384f9483cf72bc867e7c00b56dff4c2dcdf0bc2a4af0d365e9b73c90533 SHA512 0db635067a47b7b3b671562b005dc5281a768207215535558d4790c4b74164356e7cc91f118df48bd1396ca58eeb7e8e85b46265895f753edb1ae921c2484a9f WHIRLPOOL 14cc230e628db1647634da618a805627db94d7ae06c1feb5046e88f9f7886938da104e1a7ec5dc9c4c987c84a6f1841db3361a21a5e61eba23ec17a4838867c9
+AUX playonlinux-pkg.1 643 SHA256 436e21b1187f582d59b6aa0a3bcd1f972bb9910ac532107f94cedd659d1283ce SHA512 115f87cee7c6d56dbc54da9b120ca468fb29ae4be116101cfa3e8efd1efd9a372e6e8424462087807f6755d496575c44788914f4e45c901359ce52fbe37210a8 WHIRLPOOL 6b5427b82fd0c95aa94675687971e62ddee979ce9b8711c534d448784ad11cc7beefc86a4cf212a154c4a33873350d313a517feb3b81eb0f0767cd9f879a916b
+AUX playonlinux.1 886 SHA256 76150743dae8b5d28910d754e506ab36774a3bd24442b9ff353325a6a916ab27 SHA512 44ba1a04a7e8dbf3d85d81bbcf92917b6fe7bd68478bbcfecfe0c30619b834cc6c973fc6dd7d637d7debc7ede2a206248feaca1a017834ba95f076fd16679c2d WHIRLPOOL da9edb65bb42b56dc518087c7308c05b3a4bd638d1a539382828e333b524ee29b9a4ef72292a701e9a45d68cc79065ee0e626669466c8241d72bc46e3c89ef56
+DIST PlayOnLinux_4.2.10.tar.gz 3202085 SHA256 f524905912ae2b17c8544968a8554d635f8fc4cd3b220c0ae15c49d51f244973 SHA512 8d5477b8478e05e1a1974d17466a6ac0d79617b2056a1e6bf0f8dad067a1475a99008bbca52d565686e46b003cc14300306fc11d043e20773f93d1ab7b34ae58 WHIRLPOOL c75f00974a2ef6043405911f4c5313294d4f8f6ab4f64a77ed2b9e148770b5d43bf1c4a934b0e27663b159841d26a908159cb3445d13b0e0b810c98fd5e68d59
+EBUILD playonlinux-4.2.10.ebuild 2830 SHA256 3e8d360b521d0061a7d72e924fba24f7446a275cfba6ad06042965f9234fd87d SHA512 e9ba40040e6374749a2386fff745ef08014887de0fae5efc296a9345c747d98b1b1794b53efda9b72cc7308894418bdaf32f8c49705850fa433ef256f65e56a5 WHIRLPOOL 373863c5fdf13741bc492d7b1f1b263d526a015568b963467055856804087df9f034c3949e0f09a24dbc9870f044fbf4bae5b6d0a197ca2f02cc1dea9125485e
+MISC ChangeLog 3609 SHA256 0ffcb760955a943910ba2325b9aa335c336b3b1a8130c4aec721f6d0268afc16 SHA512 6eee02d5dccb4875f446e4d1032c6287dfd5a9d8db31287d94d9319054f3b7067f2b690dc19eb53bd06b734893a44d977d577dea47bde3ff6d543acf08590daf WHIRLPOOL a22ea171f8269c6c339d7429728ae0614a9c2926bf980fd78a968af27c71c81cf511a6593a20b6d14f707324a4c905b017093e32562de72aea6c58514ee4afb8
+MISC ChangeLog-2015 1348 SHA256 163fba679118cf0efb5e66be8612308086478a79e9079f4c2b18e581c2c3bf08 SHA512 cdb901b5dd3d14b9e7f48e7aacdd23571c3bf376b48649983a9a252822282d1ac60b30059ef3e5b2461ddcb1b53c989dba915397ef905a89a5ed68f19816faba WHIRLPOOL 9c071694bc7c29456aa6b2cbff838b1026575964703770907b9287255e49bd6b8b556387a29402499d47ec18e9bb23f1c6f8e625fc532e353fb18d47d050aeb5
+MISC metadata.xml 433 SHA256 d479d695d58b02ccf0dd030ac73537a1ca70f062281c742476a83c0b8bf9a17b SHA512 1e1dbfa93723297b63288436eaa1ce87183de71847c0ce61767381f668f6ad0bf69119570f7c7e395866f15e176f7412378c09386f8ddb271f7b2ec39da2d295 WHIRLPOOL 301f514f5a092ab1935548e5c8bbd1e66f8505dfbb49885b5945c2ae3c958d3f25b18f7aad3a3fc0f0b3d19f0ce71e217562ebefb0838384cf2042b713d49086

+ 17 - 0
app-emulation/playonlinux/files/playonlinux-4.2.4-binary-plugin.patch

@@ -0,0 +1,17 @@
+Description: Remove binary code from the package
+ Upstream ships a binary plugin in the archive. This plugin is not necessary to
+ get PlayOnLinux working and it still can be downloaded from upstream.
+Forwarded: not-needed
+Author: Bertrand Marc <beberking@gmail.com>
+--- a/plugins/plugins.lst
++++ b/plugins/plugins.lst
+@@ -21,9 +21,6 @@
+ 
+ ## in fact empty line is also ignored because it's more easy to read =)
+ 
+-##Capture
+-capture;Capture_2.4.3.pol;Capture;enable;2.4.3;11;1;0
+-
+ ##Screencap
+ screencap;ScreenCap_0.0.4.pol;ScreenCap;enable;0.0.4;1;1;1
+ 

+ 35 - 0
app-emulation/playonlinux/files/playonlinux-4.2.4-pol-bash.patch

@@ -0,0 +1,35 @@
+diff --git a/etc/pol_bash b/etc/pol_bash
+index 7911f05..bd891e4 100644
+--- a/etc/pol_bash
++++ b/etc/pol_bash
+@@ -29,7 +29,15 @@ export HISTCONTROL=ignoreboth
+ shopt -s checkwinsize
+ 
+ # make less more friendly for non-text input files, see lesspipe(1)
+-[ -x /usr/bin/lesspipe ] && eval "$(lesspipe)"
++less_pipe_cmd=$(lesspipe 2> /dev/null)
++if [ "$less_pipe_cmd" == export* ]; then
++    eval "$(lesspipe)"
++else
++    if [ -x /usr/bin/lesspipe ]; then
++        export LESSOPEN='| lesspipe %s'
++    fi
++fi
++unset less_pipe_cmd
+ 
+ # set variable identifying the chroot you work in (used in the prompt below)
+ if [ -z "$debian_chroot" ] && [ -r /etc/debian_chroot ]; then
+@@ -73,7 +81,9 @@ fi
+ # enable programmable completion features (you don't need to enable
+ # this, if it's already enabled in /etc/bash.bashrc and /etc/profile
+ # sources /etc/bash.bashrc).
+-if [ -f /etc/bash_completion ]; then
+-    . /etc/bash_completion
+-fi
+-
++for bashcomp in /etc/{bash_completion,profile.d/bash-completion.sh}; do
++    if [ -r "$bashcomp" ]; then
++        . "$bashcomp"
++    fi
++done
++unset bashcomp

+ 17 - 0
app-emulation/playonlinux/files/playonlinux-4.2.6-stop-update-warning.patch

@@ -0,0 +1,17 @@
+# This patch enables the $DEBIAN_PACKAGE variable for playonlinux.
+# The changes are described in the source comments below.
+# The flag is unfortnuately named debian, however the
+# benefits apply to any package management system.
+# Patch written by Adam Mills <adam@armills.info>
+
+--- a/python/lib/Variables.py	2013-08-10 22:19:46.053365072 -0400
++++ b/python/lib/Variables-patched.py	2013-08-10 22:17:58.275881842 -0400
+@@ -26,7 +26,7 @@
+ # Debian packagers should switch this to TRUE
+ # It will disable update alerts, bug reports, statistics
+ # It will set the good locale directory, and it will use the good msttcorefonts
+-os.environ["DEBIAN_PACKAGE"] = "FALSE"
++os.environ["DEBIAN_PACKAGE"] = "TRUE"
+ 
+ # Variables PlayOnMac
+ if (os.environ["POL_OS"] == "Mac"):

+ 33 - 0
app-emulation/playonlinux/files/playonlinux-pkg.1

@@ -0,0 +1,33 @@
+.TH PLAYONLINUX-PKG 1 "February  6, 2009"
+
+.SH NAME
+playonlinux-pkg \- tool to manage playonlinux packages
+
+.SH SYNOPSIS
+.B playonlinux-pkg
+.RI [ options ]
+.RI [ package ]
+
+.SH DESCRIPTION
+.B playonlinux-pkg
+is a tool to install or manage the playonlinux packages
+
+.SH OPTIONS
+.TP
+.I "-b, --browse"
+ Choose a file.
+.TP
+.I "-e, --extract"
+ Extract the package.
+.TP
+.I "-i, --install"
+ Install the package.
+.TP
+.I "-h, --help"
+ Show usage.
+
+.SH AUTHOR
+playonlinux was written by Quentin Pâris <qparis@playonlinux.com>.
+.PP
+This manual page was written by Bertrand Marc <beberking@gmail.com>,
+for the Debian project (but may be used by others).

+ 33 - 0
app-emulation/playonlinux/files/playonlinux.1

@@ -0,0 +1,33 @@
+.TH PLAYONLINUX 1 "February  6, 2009"
+
+.SH NAME
+PlayOnLinux \- front-end for Wine
+
+.SH SYNOPSIS
+.B playonlinux
+.RI [ options ]
+
+.SH DESCRIPTION
+.B PlayOnLinux
+is a front-end for Wine. It allows you to easily install and use numerous games and software designed to run with Microsoft®'s Windows®.
+.br
+Few games are compatible with GNU/Linux at the moment and it certainly is a factor preventing the migration to this system.
+.P
+.B PlayOnLinux
+performs installations in
+.I ~/.PlayOnLinux
+and uses separate Wine prefixes to avoid conflicts between applications.
+
+.SH OPTIONS
+.TP
+.I --version
+ Show version number and exit.
+.TP
+.I "--run <prog>"
+ Run directly the specified program.
+
+.SH AUTHOR
+playonlinux was written by Quentin Pâris <qparis@playonlinux.com>.
+.PP
+This manual page was written by Bertrand Marc <beberking@gmail.com>,
+for the Debian project (but may be used by others).

+ 15 - 0
app-emulation/playonlinux/metadata.xml

@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>NP-Hardass@gentoo.org</email>
+		<name>NP-Hardass</name>
+	</maintainer>
+	<maintainer type="project">
+		<email>wine@gentoo.org</email>
+		<name>Wine</name>
+	</maintainer>
+	<use>
+		<flag name="winbind">Enables support for the winbind auth daemon</flag>
+	</use>
+</pkgmetadata>

+ 116 - 0
app-emulation/playonlinux/playonlinux-4.2.10.ebuild

@@ -0,0 +1,116 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+PYTHON_COMPAT=( python2_7 )
+
+inherit gnome2-utils python-single-r1
+
+MY_PN="PlayOnLinux"
+
+DESCRIPTION="Set of scripts to easily install and use Windows games and software"
+HOMEPAGE="http://playonlinux.com/"
+SRC_URI="http://www.playonlinux.com/script_files/${MY_PN}/${PV}/${MY_PN}_${PV}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="winbind"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND=""
+RDEPEND="app-arch/cabextract
+	app-arch/p7zip
+	app-arch/unzip
+	app-crypt/gnupg
+	app-emulation/wine
+	dev-python/wxpython:2.8[${PYTHON_USEDEP}]
+	|| ( media-gfx/imagemagick )
+	net-misc/wget
+	x11-apps/mesa-progs
+	x11-terms/xterm
+	media-gfx/icoutils
+	|| ( net-analyzer/netcat net-analyzer/netcat6 )
+	winbind? ( net-fs/samba[winbind] ) "
+
+S=${WORKDIR}/${PN}
+
+# TODO:
+# Having a real install script
+# It will let using LANGUAGES easily
+# How to deal with Microsoft Fonts installation asked every time ?
+# How to deal with wine version installed ? (have a better mgmt of system one)
+# Look at debian pkg: http://packages.debian.org/sid/playonlinux
+
+PATCHES=(
+	"${FILESDIR}/${PN}-4.2.4-pol-bash.patch"
+	"${FILESDIR}/${PN}-4.2.4-binary-plugin.patch"
+	"${FILESDIR}/${PN}-4.2.6-stop-update-warning.patch"
+)
+
+src_prepare() {
+	default
+
+	python_fix_shebang .
+
+	# remove playonmac
+	rm etc/{playonmac.icns,terminal.applescript} || die
+
+	# remove desktop integration
+	rm etc/{PlayOnLinux.desktop,PlayOnLinux.directory,playonlinux-Programmes.menu} || die
+}
+
+src_install() {
+	# all things without exec permissions
+	insinto "/usr/share/${PN}"
+	doins -r resources lang lib etc plugins
+
+	# bash/ install
+	exeinto "/usr/share/${PN}/bash"
+	find "${S}/bash" -type f -exec doexe '{}' +
+	exeinto "/usr/share/${PN}/bash/expert"
+	find "${S}/bash/expert" -type f -exec doexe '{}' +
+
+	# python/ install
+	python_moduleinto "/usr/share/${PN}"
+	python_domodule python
+
+	# main executable files
+	exeinto "/usr/share/${PN}"
+	doexe ${PN}{,-pkg,-bash,-shell,-url_handler}
+
+	# icons
+	doicon -s 128 etc/${PN}.png
+	for size in 16 22 32; do
+		newicon -s $size etc/${PN}$size.png ${PN}.png
+	done
+
+	doman "${FILESDIR}"/playonlinux{,-pkg}.1
+	dodoc CHANGELOG.md
+
+	make_wrapper ${PN} "./${PN}" "/usr/share/${PN}"
+	make_wrapper ${PN}-pkg "./${PN}-pkg" "/usr/share/${PN}"
+	make_desktop_entry ${PN} ${MY_PN} ${PN} Game
+}
+
+pkg_preinst() {
+	gnome2_icon_savelist
+}
+
+pkg_postinst() {
+	gnome2_icon_cache_update
+}
+
+pkg_prerm() {
+	if [[ -z ${REPLACING_VERSIONS} ]]; then
+		elog "Installed software and games with playonlinux have not been removed."
+		elog "To remove them, you can re-install playonlinux and remove them using it,"
+		elog "or do it manually by removing .PlayOnLinux/ in your home directory."
+	fi
+}
+
+pkg_postrm() {
+	gnome2_icon_cache_update
+}

+ 10 - 0
app-misc/zygrib/Manifest

@@ -0,0 +1,10 @@
+AUX zygrib 44 SHA256 0b2a74c7ccb4901e18a114aa152c85a32ca86fd09f8b70f6cc915909036e3b08 SHA512 5552d011137665cf81ea0bb728eef609f46707d4fc6f8fba737979cdbcbd477ce1281ae58e97be6438d2056b4ff7267b0b020b6fb95a4c49a2b14a4df0a11c1f WHIRLPOOL 9141a553238849524afabeb36e1b45c088ff2f249a69320b42a0eb07561bcbf5993a4b9fdbc5d09a00a5f018347267ccc7d7ac86ee11621041025c9a73bd355c
+AUX zygrib.desktop 210 SHA256 2ede38d856946029473c317921a8a08f8782a7cbc8e7863d98d9084a913667da SHA512 fd88b992d248d0ad01374f291d792682e6ee2b5625fc792ba002f2d912bd2982c8d20aeb9bed5cf5e43a92344f1c580573e4bcf0f949cd6cebc09eff6e407b9d WHIRLPOOL 1c8a5d01518cb6f0739340c64a8f58e4780fb81fa4489df9601f11a597e1c26b03ea7b3a892522481eeec9dadebbbd2f934f2f4f1fe41c6e0b6f0721b4d40768
+DIST zygrib-8.0.1.tgz 19759812 SHA256 9c0490cbec74cea6d3c8f150bc745cb4c48f04969e10e91579fe01e56b9830f8 SHA512 bb7146289d0966a174e0d888d6edc2830a2399f9cf51eb439371d90656fb9529fb08eebde8ea74f21f3c2aa7e625a258a318b9388523636815c8348269adb73d WHIRLPOOL a296954d30581e031fbbea31bc4ec72126dc3cfaae1750fe751d87e3aa677dcf9b360c9fe08f338493f29790e8e16681a977fc2c0158033ec6b3342abe38e9e4
+DIST zygrib-cities_0-300.txt.gz 517620 SHA256 443015f38acbe3cc972b04b80b0011c53bae939dcf1c23a2f1e4eb344048444b SHA512 f3c51e600e21d082759d3cf71c48742896e8cf3838e08c57eefa312ac7ef2dd1f23cbf02e9374aa9779be4bc5c04fd2748ef814b5b4b40b9d24fe4f1f5de4d80 WHIRLPOOL 41433660c8044f8f970acac4e4cc0754fc6ffa313bb1ca4ea06475760bf50423f8244d8efd56d31f796da2768fb0886f94afd07d1441f66e822717315c036da3
+DIST zygrib-cities_1k-3k.txt.gz 495119 SHA256 08a4071b0044d20410c894bab11fcaf05533d3d8299233b91430b8f8eafe1ce1 SHA512 010d6688b9c381f0ace549c53a45f8bd43f1d6846dc01241ab7bfdf30b0629f39ef2a9a715c55a534634ad8480bc2edc2796a09f0c369406027f35f6b4ba8c08 WHIRLPOOL 05a03c46932ab2911a33644050d16837879765db362ecad63ae6dbc5674e9c0974a66d0f58133c05294f8b46f46fa1e5b2af326161f7cfe2e7aa08b2e314e7c0
+DIST zygrib-cities_300-1k.txt.gz 512733 SHA256 6fb04f9c27420ec6f4793be4842a6e6831ee1219d1834a8c1c7d67c3c19cafd0 SHA512 f22f10c5d4d011593cf658acc2b2bdb6678d9ad26be0dfab67e2e6546439adc2c5a26d04889ddfd3544dbd2ff4d52e1d17e7d4b7d929e589fe55ceb6c0dc4112 WHIRLPOOL 2642614d918ac091aca958143aee686dc077ca020962db224713507a6453ebf48fdc16b92b58560746b10edc5041814628f238fc42105e0bf473d871c474258b
+DIST zygrib-icon.png 851 SHA256 42a9cea5b780fd1fef66b3ba5327f93690d29373e2d95434d8f96440bd1425e7 SHA512 9f36e96be1efa5df558321b631b43a7496ec812e76eb1eb5392b1a0afdec782f427b9d0b697102a661258ac1edd00b4bb0a84788c73e1fcd5f16584ad566fe5b WHIRLPOOL 72f2ae9d804977d6b8b04e5d9695c3e6cf1c7802b03e43ef0e7b760b614a65f01fe121134abc7357544b660a3afbe83cbf464fc371c21013c03beb988de524ee
+DIST zygrib-maps2.4.tgz 105735981 SHA256 3cd6bf3de709ff4afb193a7bb5455f28d6ab540687a97f2d978bd0a21592750e SHA512 0f10786ef81141299fd9550e36d976ce126b0d3523b56c10b19a839d56e17697ac93915b46f31d6691950f1e6d13c368fa1d198a5e2d830768fcb9e63034b487 WHIRLPOOL c92677721f234b80ee8f33c30f88f0ce5b82128ae189209f1d484fa1dae3a9dd1346ef8cf4b925cbdb1244f80f7ebb3adbe8229b3f27ce605e73dcce5f1fabee
+EBUILD zygrib-8.0.1.ebuild 1592 SHA256 0c403696eaa3785b9fab02a6e7d9c8c9504c998bf9492f7234d2bcf1587a7e7b SHA512 86a168f12e1aeb4ce33ad57d7552a0b8931abc2e7d9c9cd34bb824df7cd7e5956014a3805c0437930d946170fbd192f078a93e5857833d7207fe34ad6b4c2281 WHIRLPOOL bc3674ec9f47113c2c8c3ae75c61301c8caf72f22e71c9c7ef95716a9242f8fd04bae79d96383ca817a2c1c73b52c453d9e73c320538e7f8991fe5ae6a74ac79
+MISC metadata.xml 337 SHA256 ed9f116f7b6cfd385a2a4957e3d70910f7e1d839b91101bc9219e4f816053589 SHA512 6d74d0109440f945eb9e224b5a81773348490beaa1f01e394749966e74b4d59b25c39a5e51c4de33bbaaf1ea4c3a59ef8d839d47fd66ddaeb01b075008e3356d WHIRLPOOL 12a5e66240dee14166acdda150b17cd8c238d5f325c75401b77ba4aecfa8165df0a7f5980bf5a36cb5be807ac4cc8cefd7867e92f705551cd26ea42c96425506

+ 2 - 0
app-misc/zygrib/files/zygrib

@@ -0,0 +1,2 @@
+#!/bin/sh
+cd /opt/zyGrib && exec bin/zyGrib

+ 11 - 0
app-misc/zygrib/files/zygrib.desktop

@@ -0,0 +1,11 @@
+[Desktop Entry]
+Version=1.0
+Name=zyGrib
+GenericName=GRIB File Viewer
+Comment=Weather data visualization
+Exec=/usr/bin/zygrib
+Terminal=false
+X-MultipleArgs=false
+Icon=zygrib
+Type=Application
+Categories=Network;

+ 10 - 0
app-misc/zygrib/metadata.xml

@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>mschiff@gentoo.org</email>
+	</maintainer>
+	<use>
+		<flag name="maps">Installs additional GSHHS maps for high resolution coastline data and cities</flag>
+	</use>
+</pkgmetadata>

+ 58 - 0
app-misc/zygrib/zygrib-8.0.1.ebuild

@@ -0,0 +1,58 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils qmake-utils
+
+MY_PN="zyGrib"
+
+DESCRIPTION="GRIB File Viewer - Weather data visualization"
+HOMEPAGE="http://www.zygrib.org/"
+SRC_URI="http://www.zygrib.org/getfile.php?file=${MY_PN}-${PV}.tgz -> ${P}.tgz
+	https://dev.gentoo.org/~mschiff/distfiles/${PN}-icon.png
+	maps?   (
+		http://zygrib.org/getfile.php?file=zyGrib_maps2.4.tgz -> zygrib-maps2.4.tgz
+		http://www.zygrib.org/getfile.php?file=cities_1k-3k.txt.gz -> zygrib-cities_1k-3k.txt.gz
+		http://www.zygrib.org/getfile.php?file=cities_300-1k.txt.gz -> zygrib-cities_300-1k.txt.gz
+		http://www.zygrib.org/getfile.php?file=cities_0-300.txt.gz -> zygrib-cities_0-300.txt.gz
+	 )"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+maps"
+
+DEPEND="app-arch/bzip2
+dev-qt/qtsvg:5
+sci-libs/libnova
+sci-libs/proj
+sys-libs/zlib
+x11-libs/qwt:6"
+
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+src_prepare() {
+        sed -i 's,INSTALLDIR=$(HOME)/zyGrib,INSTALLDIR=$(DESTDIR)/opt/zyGrib,' Makefile
+        sed -i "s,QMAKE=/usr/bin/qmake,QMAKE=/usr/bin/env QT_SELECT=qt5 /usr/bin/qmake," Makefile
+        sed -i "/image.inmem_=1;/d" src/g2clib/enc_jpeg2000.c
+}
+
+src_install() {
+	default
+	rm zyGrib
+	doicon -s 32 "${DISTDIR}/zygrib-icon.png"
+	make_wrapper "${PN}" "./bin/${MY_PN}" "/opt/${MY_PN}"
+	domenu "${FILESDIR}/zygrib.desktop"
+
+	if use maps; then
+		insinto "/opt/${MY_PN}"
+		doins -r "${WORKDIR}/data"
+		insinto "/opt/${MY_PN}/data/gis"
+		gzip "${WORKDIR}"/*.txt
+		doins "${WORKDIR}"/*.txt.gz
+	fi
+}

+ 3 - 0
dev-util/coverity/Manifest

@@ -0,0 +1,3 @@
+DIST cov-analysis-linux64-8.5.0.5.tar.gz 449455009 SHA256 e34f9d0ed765c8292ecb0f65a899b5b768b19e1953ad33bcf9905a37cc614bf1 SHA512 f3055b1fd0071365342e117f02eecae48641271a6bf286cf41929e54c00accf794eb901bf7fd472d2f8e4521ce8432ab4dc518251de0664f4b72ef241c9249a5 WHIRLPOOL 9b84daead466fa57eacd7bf5bf5df78c3556702376cb350697a811ce03c80fcf9c4e61d099fc764d655f25c1bf7aa5cecfd7a9b1bee2f9c0d7af46b48df2f2e9
+EBUILD coverity-8.5.0.5.ebuild 2376 SHA256 5ff8546afb264dc04e3053ccab1601f26b48e962280a2c39dda683cf4857a9c6 SHA512 8b70ff61db210195dfd381ee09be94c6f655a6437b7581482df6d2045d037e9e814284fd9df7293daad5291ac8d39ab8572ff4079dcb5950c0142ae52e37cedd WHIRLPOOL a548719699be919a04c0769227cdb2c496657b31f723e3d1d7241dfc7778808d51386d2799707aedf423b7cf5a3d2045d1caa57060e774c9a5e04b062b188834
+MISC metadata.xml 254 SHA256 c56bc3d6780712c960298c70bb86867aeb6661e97a317cc624516b0e16b72fcc SHA512 8fdecff37ebce6558e8fb27644772fe39f4b58ba9a8e20753b99bbb5d0aada6d932971d9aae661f5272b9262b2b8d3685f2664b3ea4734a0ac1aca9a5715652a WHIRLPOOL 2ebbfaa14ef0c1847284fe64a79f052cd7e73b25a724fba728c084aaaf2dd0692e068eedcf42ccef7e205077f00c35780ded7ec69118dc01ddb988b4802e46ae

+ 92 - 0
dev-util/coverity/coverity-8.5.0.5.ebuild

@@ -0,0 +1,92 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+DESCRIPTION="Coverity provides the results of analysis on open source coding projects"
+HOMEPAGE="http://www.coverity.com"
+SRC_URI="amd64? ( https://scan.coverity.com/download/cxx/linux64 -> cov-analysis-linux64-${PV}.tar.gz )"
+#    x86? ( https://scan.coverity.com/download/cxx/linux32 -> cov-analysis-linux-${PV}.tar.gz )
+
+LICENSE="coverity-PLA"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+L10N="ja zh-CN"
+for _l in ${L10N} ; do
+    IUSE="${IUSE} l10n_${_l}"
+done
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+
+RESTRICT="fetch"
+
+QA_PREBUILT="opt/coverity/bin/*"
+
+pkg_nofetch() {
+    eerror "Please go to https://scan.coverity.com/download"
+    use amd64 && eerror "and download Linux64"
+    use x86   && eerror "and download Linux32"
+    eerror "then put the file in ${DISTDIR}"
+    use amd64 && eerror "named as cov-analysis-linux64-${PV}.tar.gz"
+    use x86   && eerror "named as cov-analysis-linux32-${PV}.tar.gz"
+}
+
+src_unpack() {
+    default
+
+    use amd64 && S="${WORKDIR}/cov-analysis-linux64-${PV}"
+    use x86   && S="${WORKDIR}/cov-analysis-linux-${PV}"
+}
+
+src_prepare () {
+    default
+
+    echo "PATH='/opt/${PN}/bin'"     >  "${T}/99${PN}"
+    echo "ROOTPATH='/opt/${PN}/bin'" >> "${T}/99${PN}"
+
+    # Rename invalid locale files
+    mv locale/zh-cn locale/zh-CN
+
+    # Cleanup
+    find -type f -name '*.DS_Store' -exec rm {} +
+    find -type f -name '*.bak' -exec rm {} +
+
+    rm -rf lib/python*
+
+    # Already available in /usr/portage/licenses
+    rm -r doc/*/licenses
+    rm    doc/*/ScanUserAgreementv2016.1.pdf
+}
+
+src_install () {
+    doenvd "${T}/99${PN}"
+
+    insinto "/opt/${PN}"
+    doins -r config doc dtd lib
+
+    into /opt/coverity
+    dobin bin/cov-*
+    dobin bin/lib*.so
+
+    insinto /usr/share/locale
+    for _l in ${L10N} ; do
+      if use "l10n_${_l}" ; then
+        doins -r "locale/${_l}"
+      fi
+    done
+}
+
+pkg_postinst() {
+    elog "Coverity build tool comes pre-configured for gcc, msvc and java."
+    elog "For other compiler, run cov-configure as described in"
+    elog "https://communities.coverity.com/thread/2726#5328"
+    elog
+    elog "See also: https://communities.coverity.com/message/4838#4838"
+    elog
+    elog "You need to run env-update and source /etc/profile in any open shells"
+    elog "to get coverity in PATH"
+}

+ 8 - 0
dev-util/coverity/metadata.xml

@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+    <maintainer>
+        <email>beber@meleeweb.net</email>
+        <name>Bertrand Jacquin</name>
+    </maintainer>
+</pkgmetadata>

+ 8 - 0
metadata/layout.conf

@@ -0,0 +1,8 @@
+manifest-hashes = SHA256 SHA512 WHIRLPOOL
+eapis-deprecated = 0 1 2 3 4
+update-changelog = false
+cache-formats = md5-dict
+masters = gentoo
+thin-manifests = false
+sign-commits = false
+sign-manifests = false

+ 4 - 0
net-libs/pjsip/Manifest

@@ -0,0 +1,4 @@
+AUX pjsip-ring-intptr_t.patch 306 SHA256 c936f63978cf7ea2bbb673e441116390a822c344775c7a28bfdb23e0177382cf SHA512 242c3db70f0bd5245745f0e68dfb699ab9d9d8db1835fd248fbc340d6728f36cabf6b80124dabef50609c4b42c6c3ba7b47711f12650fe3d7cc4471f14adc5f3 WHIRLPOOL 570d2108561ad949606f019995bd5ba5dc6f6c5165df75f7012af7ef1ff114124df96007eed5398fd3c22b712c5cc58594de71c449362735d62b54604c9ac67d
+AUX user.mak 43 SHA256 4a684e6b9ba1944f626bb0f69c036838dd66c450e3c46314ba89985628c4713b SHA512 b17a569c43bae43e8509dde1231a02dc56d386318fe625dd454b16636c6258e1ef0f51d4dd1af2d0a6162f9bcb9b7e920feab2a4af9da93e8e35c5d3771c98dd WHIRLPOOL d000bb2a56df56364ee3880a1970e3ae6bdcb077e4c84771bd5d646e96183272499ad914d22594514332d57721a3f326cb8c901f3a41eabe6f2bae6cd74fae34
+DIST pjproject-2.4.tar.bz2 4631778 SHA256 108015aeda8dce20d182ec9b4fc277026d2b1796e82947da106eeb406eb02059 SHA512 164737bed8f688b2c555e2b4c701a568570a592fa7d1259da0be73a6a79f8c8157562cb941a1c00a0bea2954a8d13dd867bfc16b48c722ac4bde303986e4549a WHIRLPOOL 0218b97bd039873ae963c5638a49fd5cfd16feb2a16af59472e1664e73984a4f01a8924553c7934912031a4f3e8f13fa98959c12602a459ec8800af47ca99ff0
+EBUILD pjsip-2.4.ebuild 3182 SHA256 bc375d0ef0cafa915610b3ac3d1a741ed0baa8ac6899f08ff6d9b55d37bb7b05 SHA512 86dec2e3dd61e51d1bca1afbef0e077388d1b871183dde2e53b3aa301581ddf6d5560b857658f08ea019f0d1e7377a068b778076c39ee065a49e4b5f6b771457 WHIRLPOOL 6a0a9c02106e81eb08ac901b060578650586ceb1190132a434cd530526d59c072c5e65e0d293af5e8cb281851d833c5413c9679f12909aa490c746e17fb77be1

+ 11 - 0
net-libs/pjsip/files/pjsip-ring-intptr_t.patch

@@ -0,0 +1,11 @@
+--- pjsip/src/pjsua2/endpoint.cpp	2015-09-26 04:21:41.626163428 +0300
++++ pjsip/src/pjsua2/endpoint.cpp	2015-09-26 04:20:51.008975347 +0300
+@@ -21,6 +21,7 @@
+ #include <pjsua2/call.hpp>
+ #include <pjsua2/presence.hpp>
+ #include <algorithm>
++#include <stdint.h>
+ #include "util.hpp"
+ 
+ using namespace pj;
+

+ 3 - 0
net-libs/pjsip/files/user.mak

@@ -0,0 +1,3 @@
+export CFLAGS += -fPIC
+export LDFLAGS += 
+

+ 124 - 0
net-libs/pjsip/pjsip-2.4.ebuild

@@ -0,0 +1,124 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-libs/pjsip/pjsip-1.8.10.ebuild,v 1.1 2011/02/22 10:59:09 elvanor Exp $
+
+EAPI="2"
+
+[[ ${PV} = *9999* ]] && VCS_ECLASS="subversion" || VCS_ECLASS=""
+
+inherit ${VCS_ECLASS} git-r3
+
+DESCRIPTION="Multimedia communication libraries written in C language
+for building VoIP applications."
+HOMEPAGE="http://www.pjsip.org/"
+if [[ ${PV} == *9999* ]]; then
+	ESVN_REPO_URI="http://svn.pjsip.org/repos/pjproject/trunk"
+	KEYWORDS=""
+else
+	SRC_URI="http://www.pjsip.org/release/${PV}/pjproject-${PV}.tar.bz2"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="alsa doc epoll examples ext-sound g711 g722 g7221 gsm ilbc l16
+oss python ring speex ssl"
+#small-filter large-filter speex-aec
+
+DEPEND="alsa? ( media-libs/alsa-lib )
+	gsm? ( media-sound/gsm )
+	ilbc? ( dev-libs/ilbc-rfc3951 )
+	speex? ( media-libs/speex )
+	ring? ( ssl? ( net-libs/gnutls ) )
+	!ring? ( ssl? ( dev-libs/openssl ) )"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/pjproject-${PV}"
+
+src_unpack() {
+[[ ${PV} = *9999* ]] && subversion_src_unpack || default
+
+	if use ring; then
+		EGIT_REPO_URI="https://gerrit-ring.savoirfairelinux.com/ring-daemon"
+		EGIT_CHECKOUT_DIR=$WORKDIR/ring
+		git-r3_src_unpack
+	fi
+}
+
+src_prepare() {
+	# Fix hardcoded prefix and flags
+	sed -i \
+		-e 's/poll@/poll@\nexport PREFIX := @prefix@\n/g' \
+		-e 's!prefix = /usr/local!prefix = $(PREFIX)!' \
+		Makefile \
+		build.mak.in || die "sed failed."
+
+	# apply -fPIC globally
+	cp ${FILESDIR}/user.mak ${S}
+
+	# TODO: remove deps to shipped codecs and libs, use system ones
+	# rm -r third_party
+	# libresample: https://ccrma.stanford.edu/~jos/resample/Free_Resampling_Software.html
+
+	use ring && {
+#		epatch $WORKDIR/ring/contrib/src/pjproject/*.patch $FILESDIR/pjsip-ring-intptr_t.patch
+		epatch $FILESDIR/pjsip-ring-intptr_t.patch
+		sed -i -e 's#/usr/local#/usr#' aconfigure
+	}
+}
+
+src_configure() {
+	# Disable through portage available codecs
+	ssl=''
+	if use ring; then
+		use ssl && ssl=--enable-ssl=gnutls
+		conf=./aconfigure
+	else
+		use ssl && ssl=$(use_enable ssl)
+		conf=econf
+	fi
+	$conf --disable-gsm-codec \
+		--disable-speex-codec \
+		--disable-ilbc-codec \
+		--disable-speex-aec \
+		$ssl \
+		$(use_enable epoll) \
+		$(use_enable alsa sound) \
+		$(use_enable oss) \
+		$(use_enable ext-sound) \
+		$(use_enable g711 g711-codec) \
+		$(use_enable l16 l16-codec) \
+		$(use_enable g722 g722-codec) \
+		$(use_enable g7221 g7221-codec) || die "econf failed."
+		#$(use_enable small-filter) \
+		#$(use_enable large-filter) \
+		#$(use_enable speex-aec) \
+}
+
+src_compile() {
+	emake dep || die "emake dep failed."
+	emake -j1 || die "emake failed."
+}
+
+src_install() {
+	DESTDIR="${D}" emake install || die "emake install failed."
+
+	if use python; then
+		pushd pjsip-apps/src/python
+		python setup.py install --prefix="${D}/usr/"
+		popd
+	fi
+
+	if use doc; then
+		dodoc README.txt README-RTEMS
+	fi
+
+	if use examples; then
+		insinto "/usr/share/doc/${P}/examples"
+		doins "${S}/pjsip-apps/src/samples/"*
+	fi
+
+	# Remove files that pjproject should not install
+	rm -r "${D}/usr/lib/libportaudio.a" \
+		"${D}/usr/lib/libsrtp.a"
+}

+ 2 - 0
net-libs/restbed/Manifest

@@ -0,0 +1,2 @@
+DIST restbed-4.0.tar.gz 150838 SHA256 08d312f9ceacbec7308d7bbd868680db98ea5bb9acfad2dcb30d64f4d77c4c4c SHA512 4262260c0b740e0be1c42e59e1680ab664b9e5b8f07e354b2bc66a7cdf29d738997011687689b3a25fdf365ddcb7861c8b9b0642053b7f5e956142973abfe6f5 WHIRLPOOL 5291a9ebfd65dce1fa2d111d364dabb7f81c20e98a68f353503e34ffe0e085c71b0927c3fcec30f18b671f0e20746aa5353892b71d86442977c94ca7adc25e51
+EBUILD restbed-4.0.ebuild 1700 SHA256 40b83557c3fc89749117c0a3ce81240c8e0f8fd78d1ff692b706334152de4f95 SHA512 24aa8211f2a49e38e11c9872b379f4a8e38ec96d17407da297d2b2b686af97497cdf4b3f409070ada872835090f3ff33d6aada8e601b7805f2e8a5bf841d96c5 WHIRLPOOL 1a468ce6c4d2b11fe045edce3c8b62781e20d8c52a45748bf584ccb010b622102d3eeec34b42986d5f9908a3622ce1c42cb0cbdd610cbbc908c5eaf242b47cb0

+ 73 - 0
net-libs/restbed/restbed-4.0.ebuild

@@ -0,0 +1,73 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit cmake-utils
+
+DESCRIPTION="Restbed is a comprehensive and consistent programming model for \
+    building applications that require seamless and secure communication over HTTP"
+HOMEPAGE="https://github.com/Corvusoft/${PN}"
+if [ "$PV" != "9999" ]; then
+    SRC_URI="https://github.com/Corvusoft/${PN}/archive/4.0.tar.gz -> ${P}.tar.gz"
+    KEYWORDS="~amd64 ~x86"
+else
+    inherit git-r3
+    EGIT_REPO_URI="https://github.com/Corvusoft/${PN}.git"
+    KEYWORDS=""
+fi
+
+LICENSE="AGPL"
+SLOT="0"
+IUSE="examples ssl static-libs test"
+
+CMAKE_MIN_VERSION="2.8.10"
+
+RDEPEND="
+    dev-cpp/asio
+    dev-cpp/catch
+    ssl? ( dev-libs/openssl )
+    sys-libs/pam
+    sys-libs/zlib
+"
+DEPEND="${RDEPEND}
+"
+
+DOCS="README.md"
+version_compare "${PV}" "4.5"
+[[ $? -ne 1 ]] && \
+    DOCS+="
+	documentation/API.md
+	documentation/STANDARDS.md
+	documentation/UML.md
+    "
+
+src_prepare() {
+    sed -r -i \
+	-e 's/(LIBRARY DESTINATION) "library"/\1 '$(get_libdir)'/' \
+	-e 's/(ARCHIVE DESTINATION) "library"/\1 '$(get_libdir)'/' \
+	CMakeLists.txt || die
+
+    if use examples; then
+	sed -r -i \
+	    -e 's/\$\{CMAKE_INSTALL_PREFIX\}/\0\/share\/corvusoft\/restbed/' \
+	    -e 's/(DESTINATION) "resource"/\1 "${CMAKE_INSTALL_PREFIX}\/share\/corvusoft\/restbed\/resource"/' \
+	    example/CMakeLists.txt || die
+    fi
+
+    cmake-utils_src_prepare
+}
+
+src_configure() {
+    local mycmakeargs=(
+	-DBUILD_SHARED=$(usex static-libs OFF ON)
+	-DBUILD_TESTS=$(usex test ON OFF)
+    )
+
+    for x in {examples,ssl}; do
+	mycmakeargs+=( -DBUILD_${x^^}=$(usex $x ON OFF) )
+    done
+
+    cmake-utils_src_configure
+}

+ 156 - 0
net-nds/389-admin/389-admin-1.1.31-r1.ebuild

@@ -0,0 +1,156 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+WANT_AUTOMAKE="1.9"
+
+MY_PV=${PV/_rc/.rc}
+MY_PV=${MY_PV/_a/.a}
+
+inherit eutils multilib autotools depend.apache
+
+DESCRIPTION="389 Directory Server (admin)"
+HOMEPAGE="http://port389.org/"
+SRC_URI="http://directory.fedoraproject.org/sources/${PN}-${MY_PV}.tar.bz2"
+
+LICENSE="GPL-2 Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug ipv6"
+
+# TODO snmp agent init script
+
+COMMON_DEPEND=">=app-admin/389-admin-console-1.1.0
+	>=app-admin/389-ds-console-1.1.0
+	app-misc/mime-types
+	dev-libs/389-adminutil
+	dev-libs/cyrus-sasl
+	dev-libs/icu:=
+	dev-libs/nss[utils]
+	|| ( <=dev-libs/nspr-4.8.3-r3[ipv6?] >=dev-libs/nspr-4.8.4 )
+	dev-libs/svrcore
+	net-analyzer/net-snmp[ipv6?]
+	net-nds/openldap
+	>=sys-libs/db-4.2.52
+	sys-libs/pam
+	sys-apps/tcp-wrappers[ipv6?]
+	www-apache/mod_nss
+	www-servers/apache:2[apache2_modules_actions,apache2_modules_alias,apache2_modules_auth_basic,apache2_modules_authz_default,apache2_modules_cgi,apache2_modules_mime_magic,apache2_modules_rewrite,apache2_modules_setenvif,suexec,threads]"
+RDEPEND="
+	${COMMON_DEPEND}
+	www-client/lynx
+"
+DEPEND="sys-apps/sed ${COMMON_DEPEND}"
+
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+need_apache2
+
+src_prepare() {
+	# as per 389 documentation, when 64bit, export USE_64
+	use amd64 && export USE_64=1
+
+	epatch "${FILESDIR}/1.1.11_rc1/0001-gentoo-apache-names.patch"
+	epatch "${FILESDIR}/1.1.11_rc1/0003-find-mod_nss.m4.patch"
+	epatch "${FILESDIR}/1.1.11_rc1/0004-rpath-fix.configure.ac.patch"
+	# Configuration fixes
+	epatch "${FILESDIR}/${PN}-cfgstuff-1.patch"
+
+	sed -e "s!SUBDIRS!# SUBDIRS!g" -i Makefile.am || die "sed failed"
+	# Setup default user/group, in this case it's dirsrv
+	sed -e "s!nobody!dirsrv!g" -i configure.ac || die "sed failed"
+
+	eautoreconf
+}
+
+src_configure() {
+	# stub autoconf triplet  :(
+	local myconf=""
+	use debug && myconf="--enable-debug"
+
+	econf \
+		--enable-threading \
+		--disable-rpath \
+		--with-adminutil=/usr \
+		--with-apr-config \
+		--with-apxs=${APXS} \
+		--with-fhs \
+		--with-httpd=${APACHE_BIN} \
+		--with-openldap \
+		${myconf} || die "econf failed"
+}
+
+src_install () {
+
+	emake DESTDIR="${D}" install || die "emake failed"
+	keepdir /var/log/dirsrv/admin-serv
+
+	# remove redhat style init script.
+	rm -rf "${D}"/etc/rc.d
+	rm -rf "${D}"/etc/default
+
+	# install gentoo style init script.
+	newinitd "${FILESDIR}"/${PN}.initd ${PN}
+	newconfd "${FILESDIR}"/${PN}.confd ${PN}
+
+	# remove redhat style wrapper scripts
+	# and install gentoo scripts.
+	rm -rf "${D}"/usr/sbin/*-ds-admin
+	dosbin "${FILESDIR}"/*-ds-admin || die "cannot install gentoo start/stop scripts"
+
+	# In this version build systems for modules is delete :(
+	# manually install modules, not using apache-modules eclass
+	# because use bindled library
+
+	# install mod_admserv
+	exeinto "${APACHE_MODULESDIR}"
+	doexe "${S}/.libs"/mod_admserv.so || die "internal ebuild error: mod_admserv not found"
+
+	insinto "${APACHE_MODULES_CONFDIR}"
+	newins "${FILESDIR}/1.1.11_rc1"/48_mod_admserv.conf 48_mod_admserv \
+				|| die "internal ebuild error: 48_mod_admserv.conf not found"
+
+	# install mod_restard
+	exeinto "${APACHE_MODULESDIR}"
+	doexe "${S}/.libs"/mod_restartd.so || die "internal ebuild error: mod_restartd  not found"
+
+	insinto "${APACHE_MODULES_CONFDIR}"
+	newins "${FILESDIR}/1.1.11_rc1"/48_mod_restartd.conf 48_mod_restartd \
+		|| die "internal ebuild error: 48_mod_restard.conf not found"
+
+}
+
+pkg_postinst() {
+
+	# show setup information
+	elog "Once you configured www-servers/apache as written above,"
+	elog "you need to run (as root): /usr/sbin/setup-ds-admin.pl"
+	elog
+
+	# show security and sysctl info
+	elog "It is recommended to setup net.ipv4.tcp_keep_alive_time"
+	elog "in /etc/sysctl.conf (or via sysctl -w && sysctl -p) to a reasonable"
+	elog "value (in milliseconds) to avoid temporary server congestions"
+	elog "from lost client connections"
+	elog
+
+	# /etc/security/limits.conf settings
+	elog "It is also recommended to fine tune the maximum open files"
+	elog "settings inside /etc/security/limits.conf:"
+	elog "* soft nofile 2048"
+	elog "* hard nofile 4096"
+	elog
+
+	elog "To start 389 Directory Server Administration Interface at boot"
+	elog "please add 389-admin service to the default runlevel:"
+	elog
+	elog "    rc-update add 389-admin default"
+	elog
+
+	elog "for 389 Directory Server Admin interface to work, you need"
+	elog "to setup a FQDN hostname and use it while running /usr/sbin/setup-ds-admin.pl"
+	elog
+
+}

+ 94 - 0
net-nds/389-admin/ChangeLog

@@ -0,0 +1,94 @@
+# ChangeLog for net-nds/389-admin
+# Copyright 1999-2016 Gentoo Foundation; Distributed under the GPL v2
+# (auto-generated from git log)
+
+*389-admin-1.1.31 (09 Aug 2015)
+
+  09 Aug 2015; Robin H. Johnson <robbat2@gentoo.org> +389-admin-1.1.31.ebuild,
+  +files/1.1.11_rc1/0001-gentoo-apache-names.patch,
+  +files/1.1.11_rc1/0003-find-mod_nss.m4.patch,
+  +files/1.1.11_rc1/0004-rpath-fix.configure.ac.patch,
+  +files/1.1.11_rc1/0010-gentoo_selinux_makefile.patch,
+  +files/1.1.11_rc1/48_mod_admserv.conf,
+  +files/1.1.11_rc1/48_mod_restartd.conf, +files/389-admin-cfgstuff-1.patch,
+  +files/389-admin.confd, +files/389-admin.initd, +files/restart-ds-admin,
+  +files/start-ds-admin, +files/stop-ds-admin, +metadata.xml:
+  proj/gentoo: Initial commit
+
+  This commit represents a new era for Gentoo:
+  Storing the gentoo-x86 tree in Git, as converted from CVS.
+
+  This commit is the start of the NEW history.
+  Any historical data is intended to be grafted onto this point.
+
+  Creation process:
+  1. Take final CVS checkout snapshot
+  2. Remove ALL ChangeLog* files
+  3. Transform all Manifests to thin
+  4. Remove empty Manifests
+  5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$
+  5.1. Do not touch files with -kb/-ko keyword flags.
+
+  Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
+  X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration
+  tests
+  X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this
+  project
+  X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo
+  developer, wrote Git features for the migration
+  X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve
+  cvs2svn
+  X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts
+  X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014
+  work in migration
+  X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging
+  X-Thanks: All of other Gentoo developers - many ideas and lots of paint on
+  the bikeshed
+
+  24 Aug 2015; Justin Lecher <jlec@gentoo.org> metadata.xml:
+  Use https by default
+
+  Convert all URLs for sites supporting encrypted connections from http to
+  https
+
+  Signed-off-by: Justin Lecher <jlec@gentoo.org>
+
+  24 Aug 2015; Mike Gilbert <floppym@gentoo.org> metadata.xml:
+  Revert DOCTYPE SYSTEM https changes in metadata.xml
+
+  repoman does not yet accept the https version.
+  This partially reverts eaaface92ee81f30a6ac66fe7acbcc42c00dc450.
+
+  Bug: https://bugs.gentoo.org/552720
+
+  24 Jan 2016; Michał Górny <mgorny@gentoo.org> metadata.xml:
+  Remove explicit notion of maintainer-needed, for GLEP 67
+
+  GLEP 67 removes the explicit notion of maintainer-needed@g.o being used
+  for packages lacking maintainers, in favor of assuming maintainer-needed
+  whenever the package has no maintainers.
+
+  28 Feb 2016; Ulrich Müller <ulm@gentoo.org> metadata.xml:
+  metadata.xml: Add maintainer-needed comment to packages without maintainer.
+
+  Bug: 575810
+
+*389-admin-1.1.31-r1 (02 May 2016)
+
+  02 May 2016; Austin English <wizardedit@gentoo.org>
+  +389-admin-1.1.31-r1.ebuild, files/389-admin.initd:
+  use #!/sbin/openrc-run instead of #!/sbin/runscript
+
+  Gentoo-Bug: https://bugs.gentoo.org/573846
+
+  Package-Manager: portage-2.2.26
+
+  02 May 2016; Austin English <wizardedit@gentoo.org>
+  -389-admin-1.1.31.ebuild:
+  remove old ebuild
+
+  Package-Manager: portage-2.2.26
+
+  01 Jun 2016; Mike Frysinger <vapier@gentoo.org> files/389-admin.confd:
+  apache: switch to https:// URI
+

+ 84 - 0
net-nds/389-admin/ChangeLog-2015

@@ -0,0 +1,84 @@
+# ChangeLog for net-nds/389-admin
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/net-nds/389-admin/ChangeLog,v 1.15 2014/12/18 13:19:07 pacho Exp $
+
+  18 Dec 2014; Pacho Ramos <pacho@gentoo.org> 389-admin-1.1.31.ebuild:
+  Should work with 2.4 too as explained at bug #532778
+
+  02 Nov 2014; Sven Vermeulen <swift@gentoo.org> 389-admin-1.1.31.ebuild:
+  Remove sec-policy/selinux-* dependency from DEPEND but keep in RDEPEND (bug
+  #527698)
+
+  22 Jun 2014; Fabio Erculiani <lxnay@gentoo.org> metadata.xml:
+  reset to maintainer-needed@
+
+  04 Mar 2014; Andreas K. Huettel <dilfridge@gentoo.org>
+  389-admin-1.1.31.ebuild:
+  Add subslot dependency on dev-libs/icu
+
+*389-admin-1.1.31 (14 Mar 2013)
+
+  14 Mar 2013; Fabio Erculiani <lxnay@gentoo.org> +389-admin-1.1.31.ebuild,
+  -389-admin-1.1.23.ebuild:
+  version bump, migrate to openldap
+
+  14 Mar 2013; Fabio Erculiani <lxnay@gentoo.org> -389-admin-1.1.16.ebuild:
+  drop older versions
+
+  16 Aug 2011; Fabio Erculiani <lxnay@gentoo.org> 389-admin-1.1.23.ebuild:
+  fix compilation with selinux USE flag on, hopefully fixes bug 379309
+
+*389-admin-1.1.23 (14 Aug 2011)
+
+  14 Aug 2011; Fabio Erculiani <lxnay@gentoo.org> +389-admin-1.1.23.ebuild:
+  version bump
+
+*389-admin-1.1.16 (14 Jun 2011)
+
+  14 Jun 2011; Fabio Erculiani <lxnay@gentoo.org>
+  -files/1.1.14_backports/0000-selinux-crash-fix.patch,
+  +389-admin-1.1.16.ebuild, -389-admin-1.1.11_rc1-r1.ebuild,
+  -389-admin-1.1.13.ebuild,
+  -files/1.1.14_backports/0001-ssl-segfault-fix.patch:
+  version bump, fixes Gentoo bug #371633, drop older releases
+
+*389-admin-1.1.13 (11 Jan 2011)
+
+  11 Jan 2011; Fabio Erculiani <lxnay@gentoo.org>
+  +files/1.1.14_backports/0000-selinux-crash-fix.patch,
+  +389-admin-1.1.13.ebuild,
+  +files/1.1.14_backports/0001-ssl-segfault-fix.patch:
+  version bump
+
+*389-admin-1.1.11_rc1-r1 (12 Nov 2010)
+
+  12 Nov 2010; Fabio Erculiani <lxnay@gentoo.org> files/389-admin.initd,
+  -389-admin-1.1.11_rc1.ebuild, +389-admin-1.1.11_rc1-r1.ebuild:
+  init script tweak, always need 389-ds service
+
+  17 Oct 2010; Fabio Erculiani <lxnay@gentoo.org>
+  389-admin-1.1.11_rc1.ebuild:
+  tweak apache2 dependencies a bit, make them more atomic
+
+  15 Jul 2010; Fabio Erculiani <lxnay@gentoo.org> metadata.xml:
+  update metadata.xml, herd
+
+  11 Jul 2010; Fabio Erculiani <lxnay@gentoo.org>
+  389-admin-1.1.11_rc1.ebuild:
+  improve DEPEND/RDEPEND split
+
+*389-admin-1.1.11_rc1 (11 Jul 2010)
+
+  11 Jul 2010; Fabio Erculiani <lxnay@gentoo.org>
+  +files/389-admin-cfgstuff-1.patch,
+  +files/1.1.11_rc1/0001-gentoo-apache-names.patch,
+  +files/1.1.11_rc1/0003-find-mod_nss.m4.patch,
+  +files/1.1.11_rc1/0004-rpath-fix.configure.ac.patch,
+  +files/1.1.11_rc1/0010-gentoo_selinux_makefile.patch,
+  +files/1.1.11_rc1/48_mod_admserv.conf,
+  +files/1.1.11_rc1/48_mod_restartd.conf, +files/389-admin.confd,
+  +files/389-admin.initd, +389-admin-1.1.11_rc1.ebuild,
+  +files/restart-ds-admin, +files/start-ds-admin, +files/stop-ds-admin,
+  +metadata.xml:
+  new ebuild, part of 389 Directory Server (http://port389.org), closes bug
+  #309575

+ 17 - 0
net-nds/389-admin/Manifest

@@ -0,0 +1,17 @@
+AUX 1.1.11_rc1/0001-gentoo-apache-names.patch 523 SHA256 3f6a5375eacd26e0930fda25c78ca8effcc563758b490ae316a2e668b2a87cd1 SHA512 70b82208e58e92f976b6159bb66b302fd635d0f5a2666183a27b92bbecbc21f0c8f81e807621a476bdc76bb00617f93b783b577c8b7f9b583710d85e665fa81b WHIRLPOOL 5ad2edc060e83d55b49f38f49512a9d0cc7761d936e7dda92c0b79f8c4704b7076d2751d71310a8576cb525ad0151abc8db531834449ebae2fa7242507f2b21a
+AUX 1.1.11_rc1/0003-find-mod_nss.m4.patch 496 SHA256 89d9f97f08b3ca8bd82273ee439ef7b22d6dcd46e90e793a3b5b4c91df50a63f SHA512 8ca83c9b71ef9d6373680490a76e8cdd0830fee4a65af42676318f832c55e723abfe432f4e1a5df6c4711e8e3ddbc658bda1d571f96b59be4529c9ec24eccf32 WHIRLPOOL da764d3bb974d8bd57d87986f1f29cea0b5cb40c959cc4ddd76ff837bbe35ca0ef72a15b12862e1465b91cf27fc4fda006d64a4c9114e2cdd44cacaba37d12af
+AUX 1.1.11_rc1/0004-rpath-fix.configure.ac.patch 633 SHA256 74b6279e52377911bbc8e9298241d88e9314f4be913b2c563d1f996f30e415b1 SHA512 3e2711b60ffa60cef3711d5439750ecbfd1968744a1484e11c276887be1b8b0da5a9e9c57c95657f7f346a32972947d3b01c5501d8073ec5a9efe4881dcdfef9 WHIRLPOOL 53f2e793628d1a23f1f2cb5b2759d54c0c067f2f89b6a27718cbddb8a2e84f4c7ec104f7317fd6c29de8aaaf48ce56ebf364233427e30ef674bca41757d32621
+AUX 1.1.11_rc1/0010-gentoo_selinux_makefile.patch 410 SHA256 c0102c8c33a482782005de62cc1f2b0a7c30e8985d4803a097a593f9bbaa71aa SHA512 1eda175b10fb94bcf9ffa7c92a6ceb2414c1bde63f9432f488f7b7d995a9b0bf9577a7e82813ca1e436fa8cc87b306c48724da5ee1823102dc49299f2a758556 WHIRLPOOL afab31e361c500b45becc4af43dd42c5c2f819bb32b06a4d828f009d3a9d2ad77c8735a1bbeb45f2517a15e050653a11b61b0b18a38a27a4cc1fc8101a0bb935
+AUX 1.1.11_rc1/48_mod_admserv.conf 87 SHA256 99b42c7de91de448b5974360820c27f89a641ff59e6bdac46595ca8043058f84 SHA512 fa1603be2303339db817745cabb9df97c97050783d596432ce684cc4ba2e2b11fdb18a48ca04f74f276250d3963d9baf33b956d5670b52ffbae38ebb0a5d7254 WHIRLPOOL 4ae2284d31797b392aea16e8f7f377b2881bfd495cf87c87a4ecb24ef9612ae299e283026bc9013a194826661ec9cc7b1c31fb1dba8e740a55af90b1f49cc160
+AUX 1.1.11_rc1/48_mod_restartd.conf 126 SHA256 48561ef7da874d08bab5e97b1eecdda77680d1b9e417507da1afa3c62fbcc958 SHA512 a3fd7459bdeb7c63a44037edb4514299f1a9a22c96ac57bfbee8108d196f9e3f8b48c42d2037c24fedce2a33fb0c93089937ae1864e2989c082ae69d0a15a633 WHIRLPOOL bf075d9891bb65b80e1dda68db033820a6a3c22be14afef0087e816ac4c6809543bedf3d2d56ce256b06e64f4a98a69fbaaaec95c66328944c0693c4adab6dfd
+AUX 389-admin-cfgstuff-1.patch 2035 SHA256 baa2f8c5f7d9e62d9c983edcac2620b2bc480ba4004eee2559740dfb3ffcd9c6 SHA512 73aa69ff987ea3d882be28f5aacbb7e37f92f4f5a38b8c86b910aa1a359ed9fe643cc031c76500650ff7761c6b3d18052dca5f5e5c60af6b2860078cea4c4a5a WHIRLPOOL e93576e665d18c39be97cd4b068279cceba4ef0dfa44942d213abca8054448e639931e1d51da7b05a6cc69e060826b4fcc47c42ec4f173453e009e91e2136b38
+AUX 389-admin.confd 3084 SHA256 90ceefa9486e65938086b640100d20947b84cb29f813f27179188e2c485ffe99 SHA512 c7bb8a074a7c33b822131848e3119040c1fa13b379d20ff42a0ad9f52eb0c6e66e61eeedc99ce50a7873621d938509406d58bb0d674280280d7d7b036f8c12e6 WHIRLPOOL d29d104f5e96f1d2d65d972a0a3b4643b630111cd8fa764f4dbb28c55f6560158c0b98ca03565e745e1b5a51722d1de98eecfc6f300bacf33fda2857b2a1a4b3
+AUX 389-admin.initd 3860 SHA256 91623bbaaf260fced4cc3dfa43106b5917a28d0b74f2a86c2c88e3f8c78ea9cf SHA512 953ef003b4465a614959110faf005aaa74654e3f62cd27d2587cc771ee16d7794cca1a211c3a430eaed3d46624516b515cd073906671a91a8f9f0241bc9888fc WHIRLPOOL be0d46d925d83cb1d42fec51e7a372e5865aa055bd26cf8084e9aba9d69c7f786964a52d19a2dbbdee2ba9f090ff9367fa4f2e8009573b2c9efa619e02a3fc5f
+AUX restart-ds-admin 155 SHA256 264a25107a7ea7ae0abf576a73acb8996a5449bf13d59f29282914bcc8ae0eea SHA512 efec1f26f9e475ec30fd10329d7679c1a1f046b9a74489dcb94865b6c96680711f0258aff3a6f42d63399e03cc466a27c7ec7bbef8d291b8d61951898853604a WHIRLPOOL 00b530cbbf65cbd561a6f680e96703944269737e2ee346918c5e0925e3a7f49b773bc852bfe9e2bf5af593ce1418df5d55e8f19bad0b7538b97cbbca2396ee20
+AUX start-ds-admin 153 SHA256 c4df46c6041fb11d0069ee2837361c12a05b349ac259bb9c29fa0b389de416ec SHA512 c89d126bef6c1ee2ea240549385690cbdc73c3041d02411cb2f5a912da128fc158e12816e1acb0916df02db23dcdb02bd50c87b60876fc5860ed6d3d523695f4 WHIRLPOOL d64b4e03fa226aefd1fd04b579271d0c1224e0959dad73d8937688c78d201221f32525c3f99b0bb530e425cc5c7844596703828449eced0177344ffcc09f4cc6
+AUX stop-ds-admin 152 SHA256 4e7ecdeb64807b8ce0b2da4dca8c1bb9511c8babbfe8d7ae1c9e63f490070685 SHA512 853022a0fffc73549f814f21f598c452446ff0388b657005d6029d007fce2b2d18c50f747ceb4abd8d7425cb85577fcd88b47f8044c5e3286c37671f064ca240 WHIRLPOOL 4fc70a25bf1c76e2350c00469e31344361e22370791593442731445be61276c100edcfc0d560c03d9f25cb2aa4c2e143b939b2a3cf8637f0c2373771eca9088f
+DIST 389-admin-1.1.31.tar.bz2 647098 SHA256 79c8c0133f72be4915fec8a4f2490bc21480de5fae77070f2ce13b1d9f28872f SHA512 631cd286a817a9e862adc610464d1c1f7a7af8dbade4cc2d8535330f81591d65df4773b6dbce0256470002165640fe73b49c20ee5093f71e5121d2cfa15ca9c4 WHIRLPOOL bff158c3d2201d8723faf340e21e3fdbeaaa62bbefac033b1f5ac981bd17a2e83f0507908b3919af1911b519442da75a96164b73d4df6953227973feaaab047e
+EBUILD 389-admin-1.1.31-r1.ebuild 4497 SHA256 d5e255ac2844309d7af6dccc8c5cc09c88e44f53b962932266d6de41c784abf0 SHA512 ac4bb73ad66a77c80e36b8e9d31aebf840ad7cf1df1bfeaea2909198de2da6b0c4824e73dbf3efe04c0ac6efc58162bda9c99b0145ea1650853b1bb27a4479f9 WHIRLPOOL aec9515f36ece966520d13c1c97952c594805313667c9352d574bccf018399d3525738d649edde13d2c13db89d378798a98bbe575db9de66c97c1fbec09f6870
+MISC ChangeLog 3503 SHA256 17670689c73c11fcad80d93eb9f7b105d0cc357b177b2323bd226979b9d69167 SHA512 08dc20049a4e7dee4d70bc4f150b007dd84b9020a70545fe013407fea5f0bf8e1153cbc48541f1dc07a3ae00d57c0d2a169a7a183ce227c2f6c41989a0ce9996 WHIRLPOOL efffba66e78b45e0eb741bb0d2d21c7eb58863cc85e6e6d2139e01260ab1bd7ec75e353701c2bad93bbfcdf058e54ab00413c0bd3ca514f7dd5f7e3278981bb2
+MISC ChangeLog-2015 3094 SHA256 fadb6770b8f1130228786ce01a9c9bb89b6c25c2c9efc17844cb096e5f6b8521 SHA512 b6c524ac4a44695a7f5e35b31ddee3c92e3c4b1725e684b84c1f19d63a0a3be73646b9e7a5ea13c7eae9ee3d2bf01aea2f1f6ec353c70e36d60dfab719b40cc3 WHIRLPOOL 4d2841cfb2579643877bdc4d59e8516459ce18874dc16d33dc23a41a4aabcea7010bba0708246d6aa5417188cce916d7745d39ae2fdbba327bb1b941399763ba
+MISC metadata.xml 472 SHA256 27f7c7f1084c0f358af984eac9ea23d493fd2fb40094cbd283b6abe5a413b78e SHA512 f534fd63e2e0fdc14c09dbba54d1d8369e6db3cfe54aad8b10154c4924fbfbb7a03c56df33d147e7f4c667c4cd642c54d7511acb4be990767daf8e93e6c4f2f6 WHIRLPOOL 299efa7857d06bb24d7ded28ab708231b6aa9c54fab53bde95e5b9b29ec96e3b116822c2a90f8b1be98792e486bd947663f48c63a70497c351a0d84567f45cf4

+ 18 - 0
net-nds/389-admin/files/1.1.11_rc1/0001-gentoo-apache-names.patch

@@ -0,0 +1,18 @@
+diff -ur m4.orig/httpd.m4 m4/httpd.m4
+--- m4.orig/httpd.m4	2009-10-25 14:10:24.398721002 +0200
++++ m4/httpd.m4	2009-10-25 14:12:54.463219758 +0200
+@@ -58,12 +58,12 @@
+     *) APACHE22= ;;
+ esac
+ 
+-httpdconf=${httpd_root}/${httpd_conf_rel}
++httpdconf=/etc/apache2/httpd.conf
+ 
+ mimemagic=`grep MIMEMagicFile $httpdconf|grep -v \^# | awk '{print $2}'`
+ if test ! -f "$mimemagic" ; then
+ # assume relative to root
+-    mimemagic=${httpd_root}/${mimemagic}
++    mimemagic=/etc/apache2/magic 
+ fi
+ 
+ # check for mime.types file

+ 11 - 0
net-nds/389-admin/files/1.1.11_rc1/0003-find-mod_nss.m4.patch

@@ -0,0 +1,11 @@
+--- m4/mod_nss.m4.orig	2010-01-14 23:05:29.000000000 +0200
++++ m4/mod_nss.m4	2010-01-24 20:58:47.086937825 +0200
+@@ -52,7 +52,7 @@
+ 
+ # else, parse httpd.conf or httpconfdir/nss.conf
+ if test -z "$modnssbindir" ; then
+-    nsspcache=`grep NSSPassPhraseHelper $httpdconf|awk '{print $2}'`
++    nsspcache=`grep -R NSSPassPhraseHelper /etc/apache2/* |awk '{print $2}'`
+     if test -z "$nsspcache" ; then
+         nsspcache=`grep NSSPassPhraseHelper $httpd_root/conf.d/* | awk '{print $2}'`
+     fi

+ 19 - 0
net-nds/389-admin/files/1.1.11_rc1/0004-rpath-fix.configure.ac.patch

@@ -0,0 +1,19 @@
+--- configure.ac.orig	2010-01-25 01:34:58.296824267 +0200
++++ configure.ac	2010-01-25 01:36:16.101825667 +0200
+@@ -433,13 +433,10 @@
+ 
+ if test "$enable_rpath" != "yes" ; then
+    AC_MSG_NOTICE([Fixing libtool to remove automatic rpath to $libdir . . .])
+-   cp -p libtool libtool.orig
+-   cp -p libtool libtool.tmp
++   cp -p ./libtool libtool.orig
++   cp -p ./libtool libtool.tmp
+    sed -e '/^runpath_var/ d' \
+-       -e '/^hardcode_libdir_flag_spec/ d' \
+-       libtool > libtool.tmp
+-   cp -p libtool.tmp libtool
+-   rm -f libtool.tmp
++       -e '/^hardcode_libdir_flag_spec/ d' -i ./libtool
+ fi
+ 
+ AC_CONFIG_FILES([Makefile])

+ 11 - 0
net-nds/389-admin/files/1.1.11_rc1/0010-gentoo_selinux_makefile.patch

@@ -0,0 +1,11 @@
+--- m4.orig/selinux.m4	2010-03-11 23:18:19.697503404 +0200
++++ m4/selinux.m4	2010-03-11 23:19:04.653503112 +0200
+@@ -27,7 +27,7 @@
+   with_selinux=yes
+   AC_MSG_RESULT(yes)
+   AC_SUBST(with_selinux)
+-  if test ! -f "/usr/share/selinux/devel/Makefile"; then
++  if test ! -f "/usr/share/selinux/targeted/include/Makefile"; then
+     AC_MSG_ERROR([SELinux development tools (selinux-policy) not found])
+   fi
+ ],

+ 3 - 0
net-nds/389-admin/files/1.1.11_rc1/48_mod_admserv.conf

@@ -0,0 +1,3 @@
+<IfDefine ADMSERV>
+ LoadModule mod_admserv  modules/mod_admserv.so
+</IfDefine ADMSERV>

+ 5 - 0
net-nds/389-admin/files/1.1.11_rc1/48_mod_restartd.conf

@@ -0,0 +1,5 @@
+<IfDefine RESTARTD>
+	<IfModule !mod_restartd.c>
+		LoadModule restartd_module	modules/mod_restartd.so
+	</IfModule>
+</IfDefine>

+ 56 - 0
net-nds/389-admin/files/389-admin-cfgstuff-1.patch

@@ -0,0 +1,56 @@
+--- 389-admin-1.1.11.rc1.orig/admserv/cfgstuff/httpd-2.2.conf.in
++++ 389-admin-1.1.11.rc1/admserv/cfgstuff/httpd-2.2.conf.in
+@@ -143,7 +143,7 @@ LoadModule file_cache_module @moddir@/mo
+ LoadModule mem_cache_module @moddir@/mod_mem_cache.so
+ LoadModule cgi_module @moddir@/mod_cgi.so
+ LoadModule restartd_module     @admmoddir@/mod_restartd.so
+-LoadModule nss_module         @nssmoddir@/libmodnss.so
++LoadModule nss_module         @moddir@/mod_nss.so
+ LoadModule admserv_module     @admmoddir@/mod_admserv.so
+ 
+ ### Section 2: 'Main' server configuration
+@@ -389,15 +389,7 @@ ServerSignature On
+ # Alias.
+ #
+ 
+-<IfModule mod_cgid.c>
+-#
+-# Additional to mod_cgid.c settings, mod_cgid has Scriptsock <path>
+-# for setting UNIX socket for communicating with cgid.
+-#
+-Scriptsock            @piddir@/admin-serv.cgisock
+-</IfModule>
+-
+-# and this one is for mod_restartd because mod_cgid will consume the other one
++# Setup mod_admserv socket handle
+ Scriptsock            @piddir@/admin-serv.cgisock
+ 
+ #
+--- 389-admin-1.1.11.rc1.orig/admserv/cfgstuff/httpd.conf.in
++++ 389-admin-1.1.11.rc1/admserv/cfgstuff/httpd.conf.in
+@@ -142,7 +142,7 @@ LoadModule file_cache_module @moddir@/mo
+ LoadModule mem_cache_module @moddir@/mod_mem_cache.so
+ LoadModule cgi_module @moddir@/mod_cgi.so
+ LoadModule restartd_module     @admmoddir@/mod_restartd.so
+-LoadModule nss_module         @nssmoddir@/libmodnss.so
++LoadModule nss_module         @moddir@/mod_nss.so
+ LoadModule admserv_module     @admmoddir@/mod_admserv.so
+ 
+ ### Section 2: 'Main' server configuration
+@@ -388,15 +388,7 @@ ServerSignature On
+ # Alias.
+ #
+ 
+-<IfModule mod_cgid.c>
+-#
+-# Additional to mod_cgid.c settings, mod_cgid has Scriptsock <path>
+-# for setting UNIX socket for communicating with cgid.
+-#
+-Scriptsock            @piddir@/admin-serv.cgisock
+-</IfModule>
+-
+-# and this one is for mod_restartd because mod_cgid will consume the other one
++# Setup mod_admserv socket handle                                         
+ Scriptsock            @piddir@/admin-serv.cgisock
+ 
+ #

+ 73 - 0
net-nds/389-admin/files/389-admin.confd

@@ -0,0 +1,73 @@
+# /etc/conf.d/389-admin: config file for /etc/init.d/389-admin
+
+# When you install a module it is easy to activate or deactivate the modules
+# and other features of apache using the APACHE2_OPTS line. Every module should
+# install a configuration in /etc/dirsrv/admin-serv. In that file will have an
+# <IfDefine NNN> directive where NNN is the option to enable that module.
+#
+# Here are the options available in the default configuration:
+#
+#  AUTH_DIGEST  Enables mod_auth_digest
+#  AUTHNZ_LDAP  Enables authentication through mod_ldap (available if USE=ldap)
+#  CACHE        Enables mod_cache
+#  DAV          Enables mod_dav
+#  ERRORDOCS    Enables default error documents for many languages.
+#  INFO         Enables mod_info, a useful module for debugging
+#  LANGUAGE     Enables content-negotiation based on language and charset.
+#  LDAP         Enables mod_ldap (available if USE=ldap)
+#  MANUAL       Enables /manual/ to be the apache manual (available if USE=docs)
+#  MEM_CACHE    Enables default configuration mod_mem_cache
+#  PROXY        Enables mod_proxy
+#  SSL          Enables SSL (available if USE=ssl)
+#  SUEXEC       Enables running CGI scripts (in USERDIR) through suexec.
+#  USERDIR      Enables /~username mapping to /home/username/public_html
+#
+#
+# The following two options provide the default virtual host for the HTTP and
+# HTTPS protocol. YOU NEED TO ENABLE AT LEAST ONE OF THEM, otherwise apache
+# will not listen for incomming connections on the approriate port.
+#
+#  DEFAULT_VHOST      Enables name-based virtual hosts, with the default
+#                     virtual host being in /var/www/localhost/htdocs
+#  SSL_DEFAULT_VHOST  Enables default vhost for SSL (you should enable this
+#                     when you enable SSL)
+#
+APACHE2_OPTS="-D DEFAULT_VHOST -D LANGUAGE -D INFO -D SUEXEC"
+
+# Extended options for advanced uses of Apache ONLY
+# You don't need to edit these unless you are doing crazy Apache stuff
+# As not having them set correctly, or feeding in an incorrect configuration
+# via them will result in Apache failing to start
+# YOU HAVE BEEN WARNED.
+
+# PID file
+#PIDFILE=/var/run/dirsrv/admin-serv.pid
+
+# timeout for startup/shutdown checks
+#TIMEOUT=10
+
+# ServerRoot setting
+#SERVERROOT=/usr/lib/apache2
+
+# Configuration file location
+# - If this does NOT start with a '/', then it is treated relative to
+# $SERVERROOT by Apache
+#CONFIGFILE=/etc/dirsrv/admin-serv/httpd.conf
+
+# Location to log startup errors to
+# They are normally dumped to your terminal.
+#STARTUPERRORLOG="/var/log/dirsrv/admin-serv/startuperror.log"
+
+# A command that outputs a formatted text version of the HTML at the URL
+# of the command line. Designed for lynx, however other programs may work.
+#LYNX="lynx -dump"
+
+# The URL to your server's mod_status status page.
+# Required for status and fullstatus
+#STATUSURL="http://localhost/server-status"
+
+# Method to use when reloading the server
+# Valid options are 'restart' and 'graceful'
+# See https://httpd.apache.org/docs/2.2/stopping.html for information on
+# what they do and how they differ.
+#RELOAD_TYPE="graceful"

+ 162 - 0
net-nds/389-admin/files/389-admin.initd

@@ -0,0 +1,162 @@
+#!/sbin/openrc-run
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+opts="configdump configtest fullstatus graceful gracefulstop modules reload"
+
+depend() {
+	need net 389-ds
+	use mysql dns logger netmount postgresql
+	after sshd
+}
+
+configtest() {
+	ebegin "Checking Apache Configuration of 389 Directory Server Admin"
+	checkconfig
+	eend ${?}
+}
+
+checkconfd() {
+	PIDFILE="${PIDFILE:-/var/run/dirsrv/admin-serv.pid}"
+	TIMEOUT=${TIMEOUT:-10}
+
+	SERVERROOT="${SERVERROOT:-/usr/lib/apache2}"
+	if [ ! -d ${SERVERROOT} ]; then
+		eerror "SERVERROOT does not exist: ${SERVERROOT}"
+		return 1
+	fi
+
+	CONFIGFILE="${CONFIGFILE:-/etc/dirsrv/admin-serv/httpd.conf}"
+	[ "${CONFIGFILE#/}" = "${CONFIGFILE}" ] && CONFIGFILE="${SERVERROOT}/${CONFIGFILE}"
+	if [ ! -r "${CONFIGFILE}" ]; then
+		eerror "Unable to read configuration file: ${CONFIGFILE}"
+		return 1
+	fi
+
+	APACHE2_OPTS="${APACHE2_OPTS} -d ${SERVERROOT}"
+	APACHE2_OPTS="${APACHE2_OPTS} -f ${CONFIGFILE}"
+	[ -n "${STARTUPERRORLOG}" ] && APACHE2_OPTS="${APACHE2_OPTS} -E ${STARTUPERRORLOG}"
+
+	APACHE2="/usr/sbin/apache2"
+}
+
+checkconfig() {
+	checkconfd || return 1
+
+	${APACHE2} ${APACHE2_OPTS} -t 1>/dev/null 2>&1
+	ret=${?}
+	if [ $ret -ne 0 ]; then
+		eerror "389 Directory Server Admin (Apache2) has detected a syntax error in your configuration files:"
+		${APACHE2} ${APACHE2_OPTS} -t
+	fi
+
+	return $ret
+}
+
+start() {
+	checkconfig || return 1
+
+	[ -f /var/log/dirsrv/admin-serv/ssl_scache ] && rm /var/log/dirsrv/admin-serv/ssl_scache
+
+	ebegin "Starting 389 Directory Server Admin (apache2)"
+	${APACHE2} ${APACHE2_OPTS} -k start
+	[ "${?}" != "0" ] && eend "${?}" && return 1
+
+	let i=0
+	while [ ! -e "${PIDFILE}" ] && [ $i -lt ${TIMEOUT} ]; do
+		sleep 1 && let i++
+	done
+
+	test $i -le ${TIMEOUT}
+	eend ${?}
+}
+
+stop() {
+	checkconfd || return 1
+
+	ebegin "Stopping 389 Directory Server Admin (apache2)"
+	${APACHE2} ${APACHE2_OPTS} -k stop
+
+	let i=0
+	while pidof "${APACHE2}" >/dev/null && [ $i -lt ${TIMEOUT} ]; do
+		sleep 1 && let i++
+	done
+
+	test $i -le ${TIMEOUT}
+	eend ${?}
+}
+
+reload() {
+	RELOAD_TYPE="${RELOAD_TYPE:-graceful}"
+
+	checkconfig || return 1
+	service_started "${SVCNAME}" || return
+
+	if [ "${RELOAD_TYPE}" = "restart" ]; then
+		ebegin "Restarting 389 Directory Server Admin (apache2)"
+		${APACHE2} ${APACHE2_OPTS} -k restart
+		eend ${?}
+	elif [ "${RELOAD_TYPE}" = "graceful" ]; then
+		ebegin "Gracefully restarting 389 Directory Server Admin (apache2)"
+		${APACHE2} ${APACHE2_OPTS} -k graceful
+		eend ${?}
+	else
+		eerror "${RELOAD_TYPE} is not a valid RELOAD_TYPE. Please edit /etc/conf.d/dirsrv-admin"
+	fi
+}
+
+graceful() {
+	checkconfig || return 1
+	service_started "${SVCNAME}" || return
+	ebegin "Gracefully restarting 389 Directory Server Admin (apache2)"
+	${APACHE2} ${APACHE2_OPTS} -k graceful
+	eend ${?}
+}
+
+gracefulstop() {
+	checkconfig || return 1
+
+	# zap!
+	if service_started "${SVCNAME}"; then
+		mark_service_stopped "${SVCNAME}"
+	fi
+
+	ebegin "Gracefully stopping 389 Directory Server Admin (apache2)"
+	${APACHE2} ${APACHE2_OPTS} -k graceful-stop
+	eend ${?}
+}
+
+modules() {
+	checkconfig || return 1
+
+	${APACHE2} ${APACHE2_OPTS} -M 2>&1
+}
+
+fullstatus() {
+	LYNX="${LYNX:-lynx -dump}"
+	STATUSURL="${STATUSURL:-http://localhost/server-status}"
+
+	if ! service_started "${SVCNAME}"; then
+		eerror "${SVCNAME} not started"
+	elif ! type -p ${LYNX} 2>&1 >/dev/null; then
+		eerror "lynx not found! you need to emerge www-client/lynx"
+	else
+		${LYNX} ${STATUSURL}
+	fi
+}
+
+configdump() {
+	LYNX="${LYNX:-lynx -dump}"
+	INFOURL="${INFOURL:-http://localhost/server-info}"
+
+	checkconfd || return 1
+
+	if ! service_started "${SVCNAME}"; then
+		eerror "${SVCNAME} not started"
+	else
+		echo "${APACHE2} started with '${APACHE2_OPTS}'"
+		for i in config server list; do
+			${LYNX} "${INFOURL}/?${i}" | sed '/Apache Server Information/d;/^[[:space:]]\+[_]\+$/Q'
+		done
+	fi
+}

+ 7 - 0
net-nds/389-admin/files/restart-ds-admin

@@ -0,0 +1,7 @@
+#!/bin/sh
+#
+# Copyright (c) 2007-2009, Mario Fetka <mario-fetka@gmx.at>
+#
+# Licensed under the GNU General Public License, v2
+
+rc-config restart 389-admin

+ 7 - 0
net-nds/389-admin/files/start-ds-admin

@@ -0,0 +1,7 @@
+#!/bin/sh
+#
+# Copyright (c) 2007-2009, Mario Fetka <mario-fetka@gmx.at>
+#
+# Licensed under the GNU General Public License, v2
+
+rc-config start 389-admin

+ 7 - 0
net-nds/389-admin/files/stop-ds-admin

@@ -0,0 +1,7 @@
+#!/bin/sh
+#
+# Copyright (c) 2007-2009, Mario Fetka <mario-fetka@gmx.at>
+#
+# Licensed under the GNU General Public License, v2
+
+rc-config stop 389-admin

+ 10 - 0
net-nds/389-admin/metadata.xml

@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<!-- maintainer-needed -->
+<longdescription>
+389 Administration Server is an HTTP agent that provides management features
+for 389 Directory Server.  It provides some management web apps that can
+be used through a web browser.  It provides the authentication, access control,
+and CGI utilities used by the console.</longdescription> 
+</pkgmetadata>

+ 1 - 0
net-voip/ring-daemon/Manifest

@@ -0,0 +1 @@
+EBUILD ring-daemon-9999.ebuild 509 SHA256 6c48720d24c59a735e6f2b78387901b8d7f3883df2c353e826dc8b8d925a4152 SHA512 04fbccdf4d897f12bf276b33236e1aa94a0b1d741374bfe4f410f167321c8727b4e9fc194a84f868066f98b1841eb2e7ff965038d5f36782ecf71f45f3522b56 WHIRLPOOL 5d2cde30d25a032186b62858bb221a180c1ee7bdad34e5ecf725862203ebd726f149ed0287d9c69823ed370e38edbd1f5337b0773243802d2f56b9e852c5e479

+ 28 - 0
net-voip/ring-daemon/ring-daemon-9999.ebuild

@@ -0,0 +1,28 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit git-r3 autotools
+
+DESCRIPTION="Ring is a Voice-over-IP software phone."
+HOMEPAGE="https://ring.cx/"
+EGIT_REPO_URI="https://gerrit-ring.savoirfairelinux.com/ring-daemon"
+
+LICENSE="GPL"
+SLOT="0"
+KEYWORDS=""
+IUSE=""
+
+DEPEND="
+	net-libs/restbed
+	media-video/libav
+	dev-libs/dbus-c++
+	net-libs/opendht
+	>=net-libs/pjsip-2.4[ring]"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+	eautoreconf
+}